Проблемы с установкой программы: ошибка EventMachine

Discussion in 'Soft - *nix' started by vesar, 24 Feb 2017.

  1. vesar

    vesar New Member

    Joined:
    9 Mar 2016
    Messages:
    4
    Likes Received:
    0
    Reputations:
    0
    Пытаюсь установить Bettercap на Kali Linux, и что-то выходит не очень. Упирается в следующую ошибку:

    Unable to load the EventMachine C extension; To use the pure-ruby reactor, require 'em/pure_ruby'
    /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- rubyeventmachine (LoadError)
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/vendor_ruby/eventmachine.rb:8:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/vendor_ruby/em-proxy.rb:5:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/vendor_ruby/bettercap.rb:21:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/bin/bettercap:19:in `<main>'


    Погуглил разные советы, но что-то ни один не помог. Руби переустанавливал. При попытке переустановить ЭвентМашин выдает:

    $ gem install eventmachine
    ERROR: Loading command: install (LoadError)
    /usr/lib/x86_64-linux-gnu/ruby/2.3.0/openssl.so: symbol SSLv2_method, version OPENSSL_1.0.2d not defined in file libssl.so.1.0.2 with link time reference - /usr/lib/x86_64-linux-gnu/ruby/2.3.0/openssl.so
    ERROR: While executing gem ... (NoMethodError)
    undefined method `invoke_with_build_args' for nil:NilClass


    Видимо я что-то делаю не так, но мозгов самому разобраться не хватает. Можете подсказать, как решить данную проблему?
     
Loading...